Subject: bug#21648: 25.0.50; [PATCH] Add ability to specify radix for the yanked number in calc-yank

From: Kaushal Modi <[email-masked]>
Date: Thu, 8 Oct 2015 12:19:35 -0400

Thanks for the review!

I will work out these kinks by the time we can add in more features.
I'll update this thread then.

--
Kaushal Modi

On Thu, Oct 8, 2015 at 12:08 PM, Jay Belanger <[email-masked]>
wrote:

>
> Hi Kaushal,
>
> > I read this question of emacs.stackexchange
> > ( http://emacs.stackexchange.com/q/13451/115)
> > where the user needed to specify the radix of the number he was
> > pasting in calc.
> >
> > If the calc default radix is decimal and if a user pastes 1000, it
> > will be pasted as decimal 1000. But what if the user meant to paste
> > binary 1000 (decimal 8)?
> >
> > My patch below enables doing that using numeric prefixes.
> >
> > Please advise if merging this patch to calc-yank is a good idea or if
> > needs improvement/bug fixes before the merging.
>
> There's a feature freeze on right now, so it shouldn't be added to Emacs
> right away.  But it looks useful.
>
> With the patch, if the yanked number already has the radix prefix, there
> is an error.  It might make more sense to have Calc do an appropriate
> conversion. Also, the number of radixes in the patch is less than Calc
> allows.
> It might make more sense to have calc-yank use the current Calc's
> current radix rather than a prefix radix.
> I don't recall the policy on using cl- functions, but cond could
> easily be used instead of cl-case.
>
> But this should be brought up again after the feature freeze.
>
> Jay
>
>